﻿using UnityEngine;
using System.Collections;

public class Player {

	Player(int _charID, int _roleID){
		charID = _charID;
		roleID = _roleID;

		var ct = Rdb.GetTable("characters");
		charname = ct.GetValue<string>(charID, "name");
		spellID = ct.GetValue<int>(charID, "spell");
		hp = ct.GetValue<int>(charID, "hp");

		var rt = Rdb.GetTable("roles");
		rolename = rt.GetValue<string>(roleID, "name");
		ultiID = rt.GetValue<int>(roleID, "ulti");
		align = rt.GetValue<string>(roleID, "alignment");
	}






	void DebugInfo() {
		Debug.Log(charname+" is a "+rolename+" with "+hp.ToString()+" hit points");
	}



	int charID;
	int roleID;

	string charname;
	int spellID;
	int hp;
	string rolename;
	int ultiID;
	string align;
}
